<?php namespace App\Controllers;


use App\Models\UsuarioModel;
use CodeIgniter\Controller;
use App\Models\Administrativo\ProdutoModel;
use App\Models\Administrativo\CategoriaModel;
use App\Libraries\Auth;
use App\Models\Configuracoes\EmpresaModel;

Class Cardapio extends BaseController
{
    public function __construct(){
        $this->empresaModel = new EmpresaModel();
        $this->session = \Config\Services::session();
        $this->usuario = $this->session->get('dadoslogin');
        if($this->usuario == null){
            $this->produtoModel = new ProdutoModel();
        $this->categoriaModel = new CategoriaModel();
        $this->auth = new Auth();
        return redirect()->to('/Login');
        }
        //$this->load->helper(array('form', 'url'));
        $this->produtoModel = new ProdutoModel();
        $this->categoriaModel = new CategoriaModel();
        $this->auth = new Auth();
        helper('complementos'); 
    }
    
    public function index($id=1){
        $dados['empresa'] = $this->empresaModel->getEmpresaID($id);
        $dados['produtos'] = $this->produtoModel->getProduto();
        $dados['categorias'] = $this->categoriaModel->getCategoria();
        echo view('Site/header');
        echo view('Site/cardapio',$dados);
        echo view('Site/java');
        echo view ('Commons/footer_login');
        


    }

    public function index2($nome){


        $data['titulo'] = "Bem Vindo Ao $nome, veja agora o Cardapio Online!";
        return view('Cardapio/cardapio',$data);
    

    }

    public function teste(){

        //$data['titulo'] = "Bem Vindo Ao Lanche Do PIxo, veja agora o Cardapio Online!";
        echo view('teste');


    }




    //--------------------------------------------------------------------
}